<?php
/*
 ****************************************************************
 Copyright (C) 2008-2009 Soft Ventures, Inc. All rights reserved.
 ****************************************************************
 * @package	Appointment Booking Pro - ABPro
 * @copyright	Copyright (C) 2008-2009 Soft Ventures, Inc. All rights reserved.
 * @license	GNU/GPL, see http://www.gnu.org/licenses/gpl-2.0.html
 *
 * ABPro is distributed WITHOUT ANY WARRANTY, or implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * This header must not be removed. Additional contributions/changes
 * may be added to this header as long as no information is deleted.
 *
 ************************************************************
 The latest version of ABPro is available to subscribers at:
 http://www.appointmentbookingpro.com/
 ************************************************************
 */



defined( '_JEXEC' ) or die( 'Restricted access' );
	// require the html view class
	jimport( 'joomla.application.helper' );

	// Load configuration data
	//include( JPATH_SITE . "/administrator/components/com_rsappt_pro14/config.rsappt_pro.php" );
	include_once( JPATH_SITE."/administrator/components/com_rsappt_pro14/config.rsappt_pro14.php" );
	include_once( JPATH_SITE."/administrator/components/com_rsappt_pro14/sendmail.php" );
	include_once( JPATH_SITE."/components/com_rsappt_pro14/functions2.php" );
	include_once( JPATH_SITE."/administrator/components/com_rsappt_pro14/functions_gl.php" );
	
	// -----------------------------------------------------------------------
	// see if we need to switch into single-resource or single-category mode.
	$single_resource_mode = false;
	$single_resource_id = "";
	$single_category_mode = false;
	$single_category_id = "";
	$params =& $mainframe->getPageParameters('com_rsappt_pro14');
	if($params->get('res_or_cat') == 1 && $params->get('passed_id') != ""){
		// single resource mode on, set by menu parameter
		$single_resource_mode = true;
		$single_resource_id = $params->get('passed_id');
		//echo "single resource mode (menu), id=".$single_resource_id;
	}
	
	if(JRequest::getVar('res','')!=""){
		// single resource mode on, set by menu parameter
		$single_resource_mode = true;
		$single_resource_id = JRequest::getVar('res','');
		//echo "single resource mode (querystring), id=".$single_resource_id;
	}

	if($params->get('res_or_cat') == 2 && $params->get('passed_id') != ""){
		// single category mode on, set by menu parameter
		$single_category_mode = true;
		$single_category_id = $params->get('passed_id');
		//echo "single category mode (menu), id=".$single_category_id;
	}

	if(JRequest::getVar('cat','')!=""){
		// single category mode on, set by menu parameter
		$single_category_mode = true;
		$single_category_id = JRequest::getVar('cat','');
		//echo "single category mode (querystring), id=".$single_category_id;
	}
	
	// -----------------------------------------------------------------------


	$user =& JFactory::getUser();

	global $my;  
	$name = $my->name; 
	$unit_number = "";
	$phone = "";
	$email = $my->email;

	$comment = "";
	$showform= true;
	
	$itemId = JRequest::getVar('Itemid');

	// get data for dropdownlist
	$database = &JFactory::getDBO(); 

	$andClause = "";
	if(!$single_resource_mode){
		// get resource categories
		$database = &JFactory::getDBO(); 
		if($single_category_mode){
			$andClause .= " AND id = ". $single_category_id;
		} else {
			$andClause .= " AND (parent_category IS NULL OR parent_category = '') ";
		}	
		$sql = 'SELECT * FROM #__sv_apptpro_categories WHERE published = 1 '.$andClause.'  order by ordering';
		$database->setQuery($sql);
		$res_cats = $database -> loadObjectList();
		if ($database -> getErrorNum()) {
			echo $database -> stderr();
			logIt($database->getErrorMsg()); 
			return false;
		}
	
		// check for sub-categories
		$sql = 'SELECT count(*) as count FROM #__sv_apptpro_categories WHERE published = 1 AND (parent_category IS NOT NULL AND parent_category != "") ';
		$database->setQuery($sql);
		$sub_cat_count = $database -> loadObject();
		if ($database -> getErrorNum()) {
			echo $database -> stderr();
			logIt($database->getErrorMsg()); 
			return false;
		}
		//echo $sub_cat_count->count;
		
	}
	
	// get resources
	if(count($res_cats) == 0 || $single_resource_mode){
		if($user->guest){
			$andClause = " AND access != 'registered_only' ";
		} else {
			$andClause = " AND access != 'public_only' ";
		}
		if($single_resource_mode){
			$andClause .= " AND id = ". $single_resource_id;
		}
		if($single_category_mode){
			$andClause .= " AND category_id = ".$cat;
		}

		if($single_resource_mode){
			$sql = 'SELECT id,name,description,display_order, IF(cost!="",CONCAT(" - ", cost), cost) as cost FROM #__sv_apptpro_resources WHERE published=1 '.$andClause.' ORDER BY display_order';
		} else {
			$sql = '(SELECT 0 as id, \''.JText::_('RS1_GAD_SCRN_RESOURCE_DROPDOWN').'\' as name, \''.JText::_('RS1_GAD_SCRN_RESOURCE_DROPDOWN').'\' as description, 0 as display_order, "" as cost) UNION (SELECT id,name,description,display_order, IF(cost!="",CONCAT(" - ", cost), cost) as cost FROM #__sv_apptpro_resources WHERE published=1 '.$andClause.') ORDER BY display_order';
		}
		//echo $sql;
		$database->setQuery($sql);
		$res_rows = $database -> loadObjectList();
		if ($database -> getErrorNum()) {
			echo $database -> stderr();
			return false;
		}
	}
	
	// get config stuff
	$database = &JFactory::getDBO(); 
	$sql = 'SELECT * FROM #__sv_apptpro_config';
	$database->setQuery($sql);
	$apptpro_config = NULL;
	$apptpro_config = $database -> loadObject();
	if ($database -> getErrorNum()) {
		echo "DB Err: ". $database -> stderr();
		return false;
	}

	$gridstarttime = $apptpro_config->def_gad_grid_start;
	$gridendtime = $apptpro_config->def_gad_grid_end;

	if(JRequest::getVar('mygridstarttime','')!=""){
	   $gridstarttime = JRequest::getVar('mygridstarttime','');
	}
	if(JRequest::getVar('mygridendtime','')!=""){
	   $gridendtime = JRequest::getVar('mygridendtime','');
	}

	
	switch($apptpro_config->gad_grid_start_day){
		case "Today": {
			$grid_date = date("Y-m-d");
			break;
		}
		case "Tomorrow": {
			$grid_date = date("Y-m-d", strtotime("+1 day"));
			break;
		}
		case "Monday": {
			if(date("N") == 1){
				$grid_date = date("Y-m-d");
			} else {		
				$grid_date = date("Y-m-d", strtotime("previous monday"));
			}
			break;
		}
		case "XDays": {
			$grid_date = date("Y-m-d", strtotime("+".strval($apptpro_config->gad_grid_start_day_days)." day"));
			break;
		}
		default: {
			$grid_date = $apptpro_config->gad_grid_start_day;
			break;
		}
	}
	
	if(JRequest::getVar('mystartdate','')!=""){
   		$grid_date = JRequest::getVar('mystartdate',''); // usage http://....&mystartdate=2009-09-14
	}	
	
	$gridwidth = $apptpro_config->gad_grid_width."px";
	$namewidth = $apptpro_config->gad_name_width."px";
	$mode = "single_day"; 
	//$mode = "single_resource";
	$griddays = intval($apptpro_config->gad_grid_num_of_days);
	if($griddays < 2){
		$griddays = 7;
	}
	

	// get udfs
	$database = &JFactory::getDBO(); 
	$sql = 'SELECT * FROM #__sv_apptpro_udfs WHERE published=1 AND scope = "" ORDER BY ordering';
	$database->setQuery($sql);
	$udf_rows = $database -> loadObjectList();
	if ($database -> getErrorNum()) {
		echo "DB Err: ". $database -> stderr();
		return false;
	}

	$div_cal = "";
	if($apptpro_config->use_div_calendar == "Yes"){
		$div_cal = "'testdiv1'";
	}

	// get seat types 
	// done in getSlots now
/*	$database = &JFactory::getDBO(); 
	$sql = 'SELECT * FROM #__sv_apptpro_seat_types WHERE published=1 ORDER BY ordering';
		$sql = 'SELECT * FROM #__sv_apptpro_seat_types WHERE published=1 AND (scope = "" OR scope LIKE \'%|'.$resource.'|%\') ORDER BY ordering';
	$database->setQuery($sql);
	$seat_type_rows = $database -> loadObjectList();
	if ($database -> getErrorNum()) {
		echo "DB Err: ". $database -> stderr();
		return false;
	}*/

	// get users
	$sql = 'SELECT id,name FROM #__users order by name';
	$database->setQuery($sql);
	$user_rows = $database -> loadObjectList();
	if ($database -> getErrorNum()) {
		echo $database -> stderr();
		return false;
	}

	// check to see if any extras are published, if so show extras line in PayPal totals
	$sql = 'SELECT count(*) as count FROM #__sv_apptpro_extras WHERE published = 1';
	$database->setQuery($sql);
	$extras_row_count = $database -> loadObject();
	if ($database -> getErrorNum()) {
		echo $database -> stderr();
		logIt($database->getErrorMsg()); 
		return false;
	}
	//echo $extras_row_count->count;
	
	// get resource rates
	$database = &JFactory::getDBO(); 
	$sql = 'SELECT id,rate,rate_unit FROM #__sv_apptpro_resources';
	$database->setQuery($sql);
	$res_rates = $database -> loadObjectList();
	if ($database -> getErrorNum()) {
		echo $database -> stderr();
		return false;
	}
	$rateArrayString = "<script type='text/javascript'>".
	"var aryRates = {";
	for($i=0; $i<count($res_rates); $i++){
		$rateArrayString = $rateArrayString.$res_rates[$i]->id.":".$res_rates[$i]->rate."";
		if($i<count($res_rates)-1){
			$rateArrayString = $rateArrayString.",";
		}
	}
	$rateArrayString = $rateArrayString."}</script>";
	
	$rate_unitArrayString = "<script type='text/javascript'>".
	"var aryRateUnits = {";
	for($i=0; $i<count($res_rates); $i++){
		$rate_unitArrayString = $rate_unitArrayString.$res_rates[$i]->id.":'".$res_rates[$i]->rate_unit."'";
		if($i<count($res_rates)-1){
			$rate_unitArrayString = $rate_unitArrayString.",";
		}
	}
	$rate_unitArrayString = $rate_unitArrayString."}</script>";
	
	if($apptpro_config->clickatell_show_code == "Yes"){
		// get dialing codes
		$database = &JFactory::getDBO();
		$database->setQuery("SELECT * FROM #__sv_apptpro_dialing_codes ORDER BY country" );
		$dial_rows = $database -> loadObjectList();
		if ($database -> getErrorNum()) {
			echo $database -> stderr();
			return false;
		}
	}
	
	$startdate = JText::_('RS1_INPUT_SCRN_DATE_PROMPT');

	$user =& JFactory::getUser();
	if(!$user->guest){
		// check to see id user is an admin		
		$sql = "SELECT count(*) as count FROM #__sv_apptpro_resources WHERE published=1 AND ".
			"resource_admins LIKE '%|".$user->id."|%';";
		$database->setQuery($sql);
		$check = NULL;
		$check = $database -> loadObject();
		if ($database -> getErrorNum()) {
			echo $database -> stderr();
			return false;
		}
		if($check->count >0){
			$show_admin = true;
		}
		$name = $user->name; 
		$email = $user->email;
		$user_id = $user->id;

	} else {
		$show_admin = false;
		$user_id = "";
	}	

	$err = "";
	$alreadyPosted = false;
	if($session->get("alreadyPosted") == "Yes" ){
		// used hit refresh on confimration page
		//$err = "Data already saved to database.";
		$alreadyPosted = true;
		$session->set("alreadyPosted", "");
	}

	if ( (isset($_POST['submit']) or isset($_POST['submit_x'])) and !$alreadyPosted){ // the isset($_POST['submit_x']) is needed to make image submit work ??

		$paypal_submit = JRequest::getVar('ppsubmit', '0');
	
		$name = JRequest::getVar('name');
		$user_id = JRequest::getVar('user_id');
		$unit_number = JRequest::getVar('unitnumber');
		$phone = JRequest::getVar('phone');
		$email = JRequest::getVar('email');
		$sms_reminders = JRequest::getVar('sms_reminders');
		$sms_phone = JRequest::getVar('sms_phone');
		$sms_dial_code = JRequest::getVar('sms_dial_code');
		$resource = JRequest::getVar('resource');
		$service_name = JRequest::getVar('service_name');
		$startdate = JRequest::getVar('startdate');
		$starttime = JRequest::getVar('starttime');
		$enddate = JRequest::getVar('enddate');
		$endtime = JRequest::getVar('endtime');
		$comment = JRequest::getVar('comment');
		$copyme = JRequest::getVar('cbCopyMe');
		$str_udf_count = JRequest::getVar('udf_count', "0");
		$str_res_udf_count = JRequest::getVar('res_udf_count', "0");
		$int_udf_count = intval($str_udf_count) + intval($str_res_udf_count);

		$grand_total = JRequest::getVar('grand_total', 0);
		$ammount_due = $grand_total;
		$coupon_code = JRequest::getVar('coupon_code','');
		$booked_seats = JRequest::getVar('booked_seats', 1);	
		$seat_type_count = JRequest::getVar('seat_type_count', -1);
		$extras_count = JRequest::getVar('extras_count', -1);
		
		if($resource == ""){
			$resource = $_POST['selected_resource_id'];
		}
		
		if($resource == "" or $resource < 1){
			// should never happen
			echo("Fatal Error: No Resource, please use the back button and enter your request again.");
			exit;
		}

		// get config info
		$database = &JFactory::getDBO();
		$sql = 'SELECT * FROM #__sv_apptpro_config';
		$database->setQuery($sql);
		$apptpro_config = NULL;
		$apptpro_config = $database -> loadObject();
		if ($database -> getErrorNum()) {
			echo $database -> stderr();
			return false;
		}	
		
		// get resource info for the selected resource
		$sql = 'SELECT * FROM #__sv_apptpro_resources where id = '.$resource;
		$database->setQuery($sql);
		$res_detail = NULL;
		$res_detail = $database -> loadObject();
		if ($database -> getErrorNum()) {
			echo $database -> stderr();
			return false;
		}

		if ($err == ""){
		
		/* ----------------------------------------------------------------------------------- 
		/*		Save order to database 
		/* -------------------------------------------------------------------------------------*/

		$request_status = "new";

		if($apptpro_config->enable_paypal == "Yes"){
			// PayPal ONLY
			if($apptpro_config->auto_accept == "Yes"){
				$request_status = "pending";
			}
			if($apptpro_config->auto_accept == "Yes" && floatval($grand_total) == 0){
				$request_status = "accepted";
			}

		} else if($apptpro_config->enable_paypal == "Opt"){
			// PayPal OR no-PayPal
			if($paypal_submit=="1"){
				// user chose PayPal
				if($apptpro_config->auto_accept == "Yes"){
					$request_status = "pending";
				}
				if($apptpro_config->auto_accept == "Yes" && floatval($grand_total) == 0){
					$request_status = "accepted";
				}
			} else {
				// user chose no-PayPal
				if($apptpro_config->auto_accept == "Yes"){
					$request_status = "accepted";
				}				
			}
		
		} else {  // $apptpro_config->enable_paypal == "No"		
			// No PayPal
			if($apptpro_config->auto_accept == "Yes"){
				$request_status = "accepted";
			}
		}
 
 		// save to db
		$database = &JFactory::getDBO();
		// save information
		$sSql = "INSERT INTO #__sv_apptpro_requests(".
		"name, ".
		"user_id, ".
		"unit_number, ".
		"phone, ".
		"email, ".
		"sms_reminders, ".
		"sms_phone, ".
		"sms_dial_code, ".
		"resource, ".
		"service, ".
		"startdate, ".
		"starttime, ".
		"enddate, ".
		"endtime, ".
		"request_status, ".
		"cancellation_id, ".
		"booking_total, ".
		"booking_due, ".
		"coupon_code, ".
		"comment ";
		$sSql = $sSql.") VALUES(".
		"'".$database->getEscaped($name)."',".
		"'".$user_id."',".
		"'".$unit_number."',".
		"'".$database->getEscaped($phone)."',".
		"'".$database->getEscaped($email)."',".
		"'".$sms_reminders."',".
		"'".$database->getEscaped($sms_phone)."',".
		"'".$sms_dial_code."',".
		"'".$resource."',".
		"'".$database->getEscaped($service_name)."',".
		"'".$startdate."',".
		"'".$starttime."',".
		"'".$enddate."',".
		"'".$endtime."',".
		"'".$request_status."',".
		"'".md5(uniqid(rand(), true))."',".
		$grand_total.",".
		$ammount_due.",".
		"'".$coupon_code."',".
		"'".$database->getEscaped($comment)."'";
		$sSql = $sSql.")";
		$database->setQuery($sSql);
	
		if (!$database->query()) {
			$err = $database->getErrorMsg();
			echo $err;
			exit;
		} 

		// need request id to pass through to PayPal (so PP can pass it back with IPN)
	 	$sSql = "SELECT LAST_INSERT_ID() AS last_id";
		$database->setQuery($sSql);
		$last_id = NULL;
		$last_id = $database -> loadObject();
		if ($database -> getErrorNum()) {
			echo $database -> stderr();
			return false;
		}
		
		// add seat counts to seat_counts table if in use
		if($seat_type_count > 0){
			for($stci=0; $stci<$seat_type_count; $stci++){

				$seat_type_id = JRequest::getVar('seat_type_id_'.$stci,"?");
				$seat_type_qty = JRequest::getVar('seat_'.$stci, 0);
				if($seat_type_qty > 0){
					$sSql = sprintf("INSERT INTO #__sv_apptpro_seat_counts (seat_type_id, request_id, seat_type_qty) VALUES(%d, %d, '%s')",
							$seat_type_id,
							$last_id->last_id,
							$database->getEscaped($seat_type_qty));
					//echo $sSql;
					
					$database->setQuery($sSql);
					if (!$database->query()) {
						$err = $database->getErrorMsg();
						echo $err;
						exit;
					} 
				}
			}
		}

		// add extras to extras_data table if in use
		if($extras_count > 0){
			for($ei=0; $ei<$extras_count; $ei++){

				$extras_id = JRequest::getVar('extras_id_'.$ei,"?");
				$extras_qty = JRequest::getVar('extra_'.$ei, 0);
				if($extras_qty > 0){
					$sSql = sprintf("INSERT INTO #__sv_apptpro_extras_data (extras_id, request_id, extras_qty) VALUES(%d, %d, '%s')",
							$extras_id,
							$last_id->last_id,
							$database->getEscaped($extras_qty));
					//echo $sSql;
					
					$database->setQuery($sSql);
					if (!$database->query()) {
						$err = $database->getErrorMsg();
						echo $err;
						exit;
					} 
				}
			}
		}

		// add udf values to udf_values table
		//echo "str_udf_count=".$str_udf_count;
		//echo "int_udf_count=".$int_udf_count;
		if($int_udf_count > 0){
			for($i=0; $i<$int_udf_count; $i++){

				$udf_value = JRequest::getVar('user_field'.$i.'_value');
				$sSql = sprintf("INSERT INTO #__sv_apptpro_udfvalues (udf_id, request_id, udf_value) VALUES(%d, %d, '%s')",
						$_POST['user_field'.$i.'_udf_id'],
						$last_id->last_id,
						$database->getEscaped($udf_value));

/*				$sSql = "INSERT INTO #__sv_apptpro_udfvalues (udf_id, request_id, udf_value) VALUES(";
				$sSql .=$_POST['user_field'.$i.'_udf_id'].",".
				$last_id->last_id.", ".
				"'".$_POST['user_field'.$i.'_value']."');";
*/			
				//echo $sSql;
				
				$database->setQuery($sSql);
				if (!$database->query()) {
					$err = $database->getErrorMsg();
					echo $err;
					exit;
				} 
			}
		}
	
		
		// if "accepted", add to calendar
		if($request_status == "accepted"){
			addToCalendar($last_id->last_id, $apptpro_config);
		}	
		
		if($paypal_submit == "1" && floatval($grand_total) > 0){
			/* ----------------------------------------------------------------------------------- 
			/*		go to PayPal 
			/* -------------------------------------------------------------------------------------*/
	
			if($apptpro_config->enable_paypal == "Yes" || $apptpro_config->enable_paypal == "Opt"){
				GoToPayPal($last_id->last_id, $apptpro_config, $grand_total);		
			}
			// for paypal, messages are sent from rsbook_pro11_return.php

		} else {
		
			if($res_detail->resource_email != ""){
				// change recipient
				$mailTO = $res_detail->resource_email;
			} else {
				$mailTO = $apptpro_config->mailTO;
			}
			
			// send form
			$to      = $mailTO;
			$subject =  JText::_($mailSubject);
			if($apptpro_config->html_email == "Yes"){
				$message = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">'.
				'<html><style type="text/css">body,td,th,p{font-family:arial;font-size:12px;}</style><body>'.
				'<b><u>'.JText::_('RS1_INPUT_SCRN_TITLE') .'</b></u><br><br>';
			} else {
				$message = ''.
				JText::_('RS1_INPUT_SCRN_TITLE').'<br><br>';
			}

			$headers = 'From:'.$mailFrom . "\r\n";

			if($request_status == "accepted"){
				// if user supplied email, change $to to be customer and cc admin
				if(JRequest::getVar('email') != ""){
					$headers .= 'Bcc:'. $to. "\r\n";
					$to = JRequest::getVar('email');
				}
				$message .= buildMessage(strval($last_id->last_id), "confirmation", "No");
			} else {
				$message .= buildMessage(strval($last_id->last_id), "in_progress", "No");			
			}
			
			if($apptpro_config->html_email != "Yes"){
				$message = str_replace("<br>", "\r\n", $message);
			} else {
				$message .= "</body></html>";
			}
				
			if($apptpro_config->html_email == "Yes"){
				$headers .= 'MIME-Version: 1.0' . "\r\n";
				//$headers .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
				$headers .= 'Content-type: text/html; charset=UTF-8' . "\r\n";
			}	
			if(JRequest::getVar('cbCopyMe') == 'yes'){
				$headers .= 'Bcc:'. JRequest::getVar('email') . "\r\n";
			}
			
			// dev only
			//ini_set ( "SMTP", "shawmail.cg.shawcable.net" ); 

			mail($to, $subject, $message, $headers);

			// SMS to resource
			if($apptpro_config->enable_clickatell == "Yes"){
				$config =& JFactory::getConfig();
				$tzoffset = $config->getValue('config.offset');      
				$offsetdate = JFactory::getDate();
				$offsetdate->setOffset($tzoffset);
				$reminder_log_time_format = "%H:%M - %b %d";
				$user =& JFactory::getUser();
				if(!$user->guest){
					$bookingUser = $user->id;
				} else {
					$bookingUser = -1;
				}
				$returnCode = "";
	
				if($request_status == "accepted"){
					sendSMS($last_id->last_id, "confirmation", $returnCode, $toResource="Yes");			
				} else {
					sendSMS($last_id->last_id, "in_progress", $returnCode, $toResource="Yes");			
				}
				logReminder("New booking: ".$returnCode, $last_id->last_id, $bookingUser, $name, $offsetdate->toFormat($reminder_log_time_format));
			}

			if($request_status == "accepted"){
				$message = buildMessage(strval($last_id->last_id), "confirmation", "No");
			} else {
				$message = buildMessage(strval($last_id->last_id), "in_progress", "No");			
			}
			
			echo	'<h3>'.JText::_('RS1_INPUT_SCRN_TITLE').'</h3>';
			echo	$message;
			$session->set("alreadyPosted", "Yes");
			$showform= false;	
			}	
		}
	}
?>
<?php if($showform){?>

<div id="testdiv1" style="VISIBILITY: hidden; POSITION: absolute; BACKGROUND-COLOR: white; layer-background-color: white; z-index:100;"> </div>
<link href="./components/com_rsappt_pro14/sv_apptpro.css" rel="stylesheet">
<link href="./components/com_rsappt_pro14/calStyles.css" rel="stylesheet">
<script language="JavaScript" src="./components/com_rsappt_pro14/date.js"></script>
<script language="JavaScript" src="./components/com_rsappt_pro14/script.js"></script>
<script language="JavaScript" src="./components/com_rsappt_pro14/CalendarPopup.js"></script>
<script language="JavaScript">
	var cal = new CalendarPopup(<?php echo $div_cal ?>);
	cal.setMonthNames(<?php echo "'".JText::_('RS1_JANUARY').
		"','".JText::_('RS1_FEBRUARY').
		"','".JText::_('RS1_MARCH').
		"','".JText::_('RS1_APRIL').
		"','".JText::_('RS1_MAY').
		"','".JText::_('RS1_JUNE').
		"','".JText::_('RS1_JULY').
		"','".JText::_('RS1_AUGUST').
		"','".JText::_('RS1_SEPTEMBER').
		"','".JText::_('RS1_OCTOBER').
		"','".JText::_('RS1_NOVEMBER').
		"','".JText::_('RS1_DECEMBER')."'"?>);

	cal.setDayHeaders(<?php echo "'".JText::_('RS1_SUN_HEADER').
		"','".JText::_('RS1_MON_HEADER').
		"','".JText::_('RS1_TUE_HEADER').
		"','".JText::_('RS1_WED_HEADER').
		"','".JText::_('RS1_THU_HEADER').
		"','".JText::_('RS1_FRI_HEADER').
		"','".JText::_('RS1_SAT_HEADER')."'"?>);
	
	cal.setTodayText('<?php echo JText::_('RS1_TODAY')?>');
	// to set css for popup calendar uncomment next line and change calStyles.css
	cal.setCssPrefix("TEST");
	cal.setWeekStartDay(<?php echo $apptpro_config->popup_week_start_day ?>);
	
	// to enable bookings today, uncomment next line
	now.setDate(now.getDate()-1);  
	cal.addDisabledDates(null,formatDate(now,"yyyy-MM-dd")); 

	
	function doSubmit(pp){
	
		document.getElementById("errors").innerHTML = document.getElementById("wait_text").value
	
		// ajax validate form
		result = validateForm();
		//alert("|"+result+"|");

		if(result.indexOf('<?php echo JText::_('RS1_INPUT_SCRN_VALIDATION_OK');?>')>-1){
			document.getElementById("ppsubmit").value = pp;
		    document.body.style.cursor = "wait";    
			return true;
		} else {
			return false;
		}
		return false;
	}

	function checkSMS(){
		if(document.getElementById("use_sms").checked == true){
			document.getElementById("sms_reminders").value="Yes";
		} else {
			document.getElementById("sms_reminders").value="No";
		}	
	}
	
	
</script>
<script language="javascript">
		window.onload = function() {
			if(document.getElementById("resources")!=null){
				if(document.getElementById("resources").options.length==2){
					document.getElementById("resources").options[1].selected=true;
					changeResource();
				} else {
					changeResource();
				}
			}
		<?php if($single_category_mode){ ?>
				document.getElementById("category_id").options[1].selected=true;
				changeCategory();		
		<?php } ?>
				
		}	
</script>
  	<?php echo $rateArrayString; ?>            
    <?php echo $rate_unitArrayString; ?>            
    
<form name="frmRequest" action="" method="post">
<div id="sv_apptpro_request_gad_mobile">
  <table width="95%" align="center" border="0" cellspacing="2" cellpadding="2" >
	<?php if($apptpro_config->requireLogin == "Yes" && $user->guest){ echo "<tr><td colspan='8'><BR /><span class='sv_apptpro_errors'>".JText::_('RS1_INPUT_SCRN_LOGIN_REQUIRED')."</span></td></tr>";} ?> 
    <tr>
      <td colspan="2" > <h3><?php echo JText::_('RS1_INPUT_SCRN_TITLE_MOBILE');?></h3></td>
    </tr>
    <tr>
      <td colspan="2" valign="top"><?php echo JText::_($headerText); ?> </td>
    </tr>
<?php if($user->usertype == "Author" || $user->usertype == "Editor" || $user->usertype == "Publisher"){ ?>
    <tr>
      <td bgcolor="#FFFFCC" class="sv_apptpro_request_label"><?php echo JText::_('RS1_INPUT_SCRN_SELECT_USER');?></td>
  	  <td colspan="2" valign="top"><select name="users" id="users" class="sv_apptpro_request_dropdown_mobile" onchange="changeUser();">
      		<option value="0"><?php echo JText::_('RS1_FRONTDESK_SCRN_NOT_REG');?></option>
            <?php
			$k = 0;
			for($i=0; $i < count( $user_rows ); $i++) {
			$user_row = $user_rows[$i];
			?>
                <option value="<?php echo $user_row->id; ?>" <?php if($user_row->id == $user->id ){echo " selected='selected' ";} ?>><?php echo $user_row->name; ?></option>
                <?php $k = 1 - $k; 
			} ?>
              </select> &nbsp;&nbsp;<label id="user_fetch"  class="sv_apptpro_errors">&nbsp;</label>
      </td>
    </tr>
<?php } ?>
    <tr>
      <td class="sv_apptpro_request_label"><?php echo JText::_('RS1_INPUT_SCRN_NAME');?></td>
  	  <td colspan="2" valign="top"><input name="name" type="text" id="name" class="sv_apptpro_request_text_mobile"
      		size="20" maxlength="50" title="<?php echo JText::_('RS1_INPUT_SCRN_NAME_TOOLTIP');?>" value="<?php echo $name; ?>" />
            <input type="hidden" name="user_id" id="user_id" value="<?php echo $user_id; ?>" />      </td>
    </tr>
	<?php 
		// if cb_mapping value specified, fetch the cb data
		if($user->guest == false and $apptpro_config->phone_cb_mapping != "" and JRequest::getVar('phone', '') == ""){
			$phone = getCBdata($apptpro_config->phone_cb_mapping, $user->id);
		} else if($user->guest == false and $apptpro_config->phone_js_mapping != "" and JRequest::getVar('phone', '') == ""){
			$phone = getJSdata($apptpro_config->phone_js_mapping, $user->id);
		} else {
			$phone = JRequest::getVar('phone');
		}
	?>
    <?php if($apptpro_config->requirePhone == "Hide"){?>
	    <input name="phone" type="hidden" id="phone" value="" />
    <?php } else { ?>
    <tr>
      <td class="sv_apptpro_request_label"><?php echo JText::_('RS1_INPUT_SCRN_PHONE');?></td>
      <td valign="top"><input name="phone" type="text" id="phone" value="<?php echo $phone ?>" 
           <?php if($apptpro_config->phone_read_only == "Yes" && $apptpro_config->phone_cb_mapping != ""){echo " readonly='readonly' ";}?>
      		size="15" maxlength="20" title="<?php echo JText::_('RS1_INPUT_SCRN_PHONE_TOOLTIP');?>"
             class="sv_apptpro_request_text_mobile"/></td>
    </tr>
	<?php } ?>
    <?php if($apptpro_config->enable_clickatell == "Yes"){?>
    <tr>
      <td class="sv_apptpro_request_label" valign="top"><?php echo JText::_('RS1_INPUT_SCRN_SMS_LABEL');?></td>
      <td colspan="2" valign="top"><input type="checkbox" name="use_sms" id="use_sms" onchange="checkSMS();" class="sv_apptpro_request_text_mobile"/>&nbsp;
	  		<?php echo JText::_('RS1_INPUT_SCRN_SMS_CHK_LABEL');?>&nbsp;<br />
	      	<?php echo JText::_('RS1_INPUT_SCRN_SMS_PHONE');?>&nbsp;<input name="sms_phone" type="text" id="sms_phone" value="<?php echo JRequest::getVar('sms_phone'); ?>"  
      		size="15" maxlength="20" title="<?php echo JText::_('RS1_INPUT_SCRN_SMS_PHONE_TOOLTIP');?>"
             class="sv_apptpro_request_text_mobile"/>
             <?php if($apptpro_config->clickatell_show_code == "Yes"){ ?>
	            <select name="sms_dial_code" id="sms_dial_code" class="sv_apptpro_request_dropdown_mobile" title="<?php echo JText::_('RS1_INPUT_SCRN_SMS_CODE_TOOLTIP');?>">
              <?php
				$k = 0;
				for($i=0; $i < count( $dial_rows ); $i++) {
				$dial_row = $dial_rows[$i];
				?>
          <option value="<?php echo $dial_row->dial_code; ?>"  <?php if($row->clickatell_dialing_code == $dial_row->dial_code){echo " selected='selected' ";} ?>><?php echo $dial_row->country." - ".$dial_row->dial_code ?></option>
              <?php $k = 1 - $k; 
				} ?>
      		</select>&nbsp;
   			 <?php } else { ?>
             <input type="hidden" name="sms_dial_code" id="sms_dial_code" value="<?php echo $row->clickatell_dialing_code?>" /></td>
             <?php } ?>
             <input type="hidden" name="sms_reminders" id="sms_reminders" value="No" /></td>
    </tr>
    <?php }?>
    <?php if($apptpro_config->requireEmail == "Hide"){?>
	    <input name="email" type="hidden" id="email" value="" />
    <?php } else { ?>
    <tr>
      <td class="sv_apptpro_request_label"><?php echo JText::_('RS1_INPUT_SCRN_EMAIL');?></td>
      <td colspan="2" valign="top"><input name="email" type="text" id="email" value="<?php echo $email ?>" 
      		 title="<?php echo JText::_('RS1_INPUT_SCRN_EMAIL_TOOLTIP');?>" size="25" maxlength="50"
              class="sv_apptpro_request_text_mobile"></td>
    </tr>
	<?php } ?>
    <?php if(count($udf_rows > 0)){
		// (to be added at a later date) if logged in user, fetch udf values from last booking
		
        $k = 0;
        for($i=0; $i < count( $udf_rows ); $i++) {
        	$udf_row = $udf_rows[$i];
			// if cb_mapping value specified, fetch the cb data
			if($user->guest == false and $udf_row->cb_mapping != "" and JRequest::getVar('user_field'.$i.'_value', '') == ""){
				$udf_value = getCBdata($udf_row->cb_mapping, $user->id);
			} else if($user->guest == false and $udf_row->js_mapping != "" and JRequest::getVar('user_field'.$i.'_value', '') == ""){
				$udf_value = getJSdata($udf_row->js_mapping, $user->id);
			} else {
				$udf_value = JRequest::getVar('user_field'.$i.'_value', '');
			}
				
        	?>
            <tr>
              <td class="sv_apptpro_request_label" valign="top"><label id="<?php echo 'user_field'.$i.'_label'; ?>"><?php echo JText::_(stripslashes($udf_row->udf_label)) ?></label>:</td>
              <td colspan="2" valign="top">
               <?php 
				if($udf_row->read_only == "Yes" && $udf_row->cb_mapping != "" && $user->guest == false){$readonly = " readonly='readonly' ";}
				else if($udf_row->js_read_only == "Yes" && $udf_row->js_mapping != "" && $user->guest == false){$readonly = " readonly='readonly' ";}
				else {$readonly ="";}
				?>
                <?php if($udf_row->udf_type == 'Textbox'){ ?>
                    <input name="user_field<?php echo $i?>_value" id="user_field<?php echo $i?>_value" type="text" value="<?php echo $udf_value; ?>" 
                    size="<?php echo $udf_row->udf_size ?>" maxlength="255" <?php echo $readonly?>
                     class="sv_apptpro_request_text_mobile" title="<?php echo JText::_(stripslashes($udf_row->udf_tooltip)) ?>"/>
                     <input type="hidden" name="user_field<?php echo $i?>_is_required" id="user_field<?php echo $i?>_is_required" value="<?php echo $udf_row->udf_required ?>" /></td>
                <?php } else if($udf_row->udf_type == 'Textarea'){ ?>
                    <textarea name="user_field<?php echo $i?>_value" id="user_field<?php echo $i?>_value" 
					<?php echo $readonly?>
                    rows="<?php echo $udf_row->udf_rows ?>" cols="<?php echo $udf_row->udf_cols ?>" 
                     class="sv_apptpro_request_text_mobile" title="<?php echo JText::_(stripslashes($udf_row->udf_tooltip)) ?>"/><?php echo $udf_value; ?></textarea>
                     <input type="hidden" name="user_field<?php echo $i?>_is_required" id="user_field<?php echo $i?>_is_required" value="<?php echo $udf_row->udf_required ?>" /></td>
                     </td>
                <?php } else if($udf_row->udf_type == 'Radio'){ 
						$aryButtons = explode(",", $udf_row->udf_radio_options);
						foreach ($aryButtons as $button){ ?>
							<input name="user_field<?php echo $i?>_value" type="radio" id="user_field<?php echo $i?>_value" 
                            <?php  
								if(strpos($button, "(d)")>-1){
									echo " checked=checked ";
									$button = str_replace("(d)","", $button);
								} ?>
							value="<?php echo stripslashes(trim($button)) ?>" title="<?php echo JText::_(stripslashes($udf_row->udf_tooltip)) ?>"/>
                            <?php echo stripslashes(trim($button))?><br />
						<?php } ?>
                <?php } else if($udf_row->udf_type == 'List'){ 
						$aryOptions = explode(",", $udf_row->udf_radio_options); ?>
						<select name="user_field<?php echo $i?>_value" id="user_field<?php echo $i?>_value" class="sv_apptpro_request_dropdown_mobile"
                        title="<?php echo JText::_(stripslashes($udf_row->udf_tooltip)) ?>"> 
                        <?php 
						foreach ($aryOptions as $option){ ?>
				            <option value="<?php echo $option; ?>"
                            <?php  
								if(strpos($option, "(d)")>-1){
									echo " selected=true ";
									$option = str_replace("(d)","", $option);
								} ?>
                                ><?php echo stripslashes($option); ?>
                            </option>
						<?php } ?>              
                        </select>                 
                <?php } else { ?>
                    <input name="user_field<?php echo $i?>_value" id="user_field<?php echo $i?>_value" type="checkbox" value="Checked" title="<?php echo JText::_(stripslashes($udf_row->udf_tooltip)) ?>"/>
                     <input type="hidden" name="user_field<?php echo $i?>_is_required" id="user_field<?php echo $i?>_is_required" value="<?php echo $udf_row->udf_required ?>" /></td>
                <?php } ?>    
                     <input type="hidden" name="user_field<?php echo $i?>_udf_id" id="user_field<?php echo $i?>_udf_id" value="<?php echo $udf_row->id ?>" /></td>
            </tr>
		    <tr>
      		<td ></td>
	      		<td colspan="3" valign="top" class="sv_apptpro_request_helptext"><?php echo JText::_(stripslashes($udf_row->udf_help)) ?></td>
            </tr>
          <?php $k = 1 - $k; 
		} ?>
    <?php }?>
	<?php if(count($res_cats) > 0 ){ ?>
    <tr>
      <td class="sv_apptpro_request_label"><?php echo JText::_('RS1_INPUT_SCRN_RESOURCE_CATEGORIES');?></td>
      <td colspan="2" valign="top"><select name="category_id" id="category_id" class="sv_apptpro_request_dropdown_mobile" onchange="changeCategory();"
      title="<?php echo JText::_('RS1_INPUT_SCRN_RESOURCE_CATEGORIES_TOOLTIP');?>">
          <option value="0"><?php echo JText::_('RS1_INPUT_SCRN_RESOURCE_CATEGORIES_PROMPT');?></option>
          <?php 
					$k = 0;
					for($i=0; $i < count( $res_cats ); $i++) {
					$res_cat = $res_cats[$i];
					?>
          <option value="<?php echo $res_cat->id; ?>" <?php if($resource_id == $res_cat->id ){echo " selected='selected' ";} ?>><?php echo JText::_(stripslashes($res_cat->name)); ?></option>
          <?php $k = 1 - $k; 
					} ?>
        </select>
        <div align="right"></div></td>
    </tr>
    <?php if($sub_cat_count->count > 0 ){ // there are sub cats ?>
    <tr id="subcats_row" style="visibility:hidden; display:none"><td></td><td colspan="3"><div id="subcats_div"></div></td></tr>
	<?php } ?>
    <tr>
      <td class="sv_apptpro_request_label"><?php echo JText::_('RS1_INPUT_SCRN_RESOURCE');?></td>
      <td colspan="2" valign="top"><div id="resources_div" style="visibility:hidden;">&nbsp;</div></td>
    </tr>
    <?php } else { ?>
    <tr>
      <td class="sv_apptpro_request_label"><?php echo JText::_('RS1_INPUT_SCRN_RESOURCE');?></td>
      <td colspan="2" valign="top"><select name="resources" id="resources" class="sv_apptpro_request_dropdown_mobile" onchange="changeResource()"
      title="<?php echo JText::_('RS1_INPUT_SCRN_RESOURCE_TOOLTIP');?>">
          <?php 
					$k = 0;
					for($i=0; $i < count( $res_rows ); $i++) {
					$res_row = $res_rows[$i];
					?>
          <option value="<?php echo $res_row->id; ?>" <?php if($resource == $res_row->id ){echo " selected='selected' ";} ?>><?php echo JText::_(stripslashes($res_row->description)); ?><?php echo $res_row->cost; ?></option>
          <?php $k = 1 - $k; 
					} ?>
        </select></td>
    </tr>
    
    <?php } ?>
    
    <tr id="services" style="visibility:hidden; display:none">
      <td class="sv_apptpro_request_label"><?php echo JText::_('RS1_INPUT_SCRN_SERVICES');?></td>
    <td colspan="2"><div id="services_div">&nbsp;</div></td>
    </tr>
    <tr id="resource_udfs" style="visibility:hidden; display:none"><td></td><td colspan="3"><div id="resource_udfs_div"></div></td></tr>
    <tr id="resource_seat_types" style="visibility:hidden; display:none"><td colspan="4"><div id="resource_seat_types_div"></div></td></tr>
    <tr id="resource_extras" style="visibility:hidden; display:none"><td colspan="4"><div id="resource_extras_div"></div></td></tr>

    <tr id="booking_detail" class="sv_gad_user_selection" style="visibility:hidden; display:none">
      <td class="sv_apptpro_request_label"><?php echo JText::_('RS1_GAD_SCRN_DETAIL');?></td>
    <td colspan="2"><label class="sv_apptpro_selected_resource_mobile" id="selected_resource"></label>&nbsp;<br />
    <label class="sv_apptpro_selected_resource_mobile" id="selected_date"></label>&nbsp;<br />
    <label class="sv_apptpro_selected_resource_mobile" id="selected_starttime"></label>&nbsp;-&nbsp;
    <label class="sv_apptpro_selected_resource_mobile" id="selected_endtime"></label>&nbsp;&nbsp;
    <label class="sv_apptpro_errors" id="selected_resource_wait"></label>
    </td>
    </tr>
    <!-- *********************  GAD ******************************* -->
    <tr>
        <td colspan='3' align="left">        
          <table class="sv_gad_container_table" cellpadding="2" cellspacing="0" border="0" id="gad_container" style="display:none" >
            <tr>
              <td width="60" class="sv_apptpro_request_label" ><?php echo JText::_('RS1_GAD_SCRN_DATE_MOBILE');?></td>
              <td ><input readonly="readonly" name="grid_date" id="grid_date" type="text" 
                  class="sv_apptpro_request_dropdown_mobile" size="12" maxlength="12" value="<?php echo $grid_date ?>" onchange="changeDate();"/>
			  </td>	
            </tr>
            <tr>
              <td>&nbsp;</td>
              <td class="sv_apptpro_request_label" ><input type="button" class="button_mobile" onclick="gridPrevious();" value="<<-">&nbsp;<input type="button" class="button_mobile" onclick="gridNext();" value="->>"></td>
            </tr>
 <?php if($apptpro_config->gad_grid_hide_startend == "Yes"){?>
            <input type="hidden" name="gridstarttime" id="gridstarttime" value="<?php echo $gridstarttime ?>"/>
	        <input type="hidden" name="gridendtime" id="gridendtime" value="<?php echo $gridendtime ?>"/>&nbsp;
<?php } else { ?>
            <tr>
              <td align="left" class="sv_apptpro_request_label" ><?php echo JText::_('RS1_GAD_SCRN_GRID_START_MOBILE');?></td>
              <td><select name="gridstarttime" id="gridstarttime" class="sv_apptpro_request_dropdown_mobile" onchange="changeGrid();">
                <?php 
                for($x=0; $x<25; $x+=1){
                    if($x==12){
                        echo "<option value=".$x.":00 "; if($gridstarttime == $x.":00") {echo " selected='selected' ";} echo ">".JText::_('RS1_INPUT_SCRN_NOON')."</option>";  
                    } else if($x==24){
                        echo "<option value=".$x.":00 "; if($row->gridstarttime == $x.":00") {echo " selected='selected' ";} echo ">".JText::_('RS1_INPUT_SCRN_MIDNIGHT')."</option>";  
                    } else {
                        if($apptpro_config->timeFormat == "12"){
                            $AMPM = " AM";
                            $x1 = $x;
                            if($x>12){ 
                                $AMPM = " PM";
                                $x1 = $x-12;
                            }
                        } else {
                            $AMPM = "";
                            $x1 = $x;
                        }
                        echo "<option value=".$x.":00 "; if(trim($gridstarttime) == $x.":00") {echo " selected='selected' ";} echo "> ".$x1.":00".$AMPM." </option>";  
                    }
                }
                ?>
                </select>
              </td>
            </tr>
            <tr>
              <td class="sv_apptpro_request_label" ><?php echo JText::_('RS1_GAD_SCRN_GRID_END_MOBILE');?></td>
              <td><select name="gridendtime" id="gridendtime" class="sv_apptpro_request_dropdown_mobile" onchange="changeGrid();">
                <?php 
                for($x=0; $x<25; $x+=1){
                    if($x==12){
                        echo "<option value=".$x.":00 "; if($gridendtime == $x.":00") {echo " selected='selected' ";} echo ">".JText::_('RS1_INPUT_SCRN_NOON')."</option>";  
                    } else if($x==24){
                        echo "<option value=".$x.":00 "; if($gridendtime == $x.":00") {echo " selected='selected' ";} echo ">".JText::_('RS1_INPUT_SCRN_MIDNIGHT')."</option>";  
                    } else {
                        if($apptpro_config->timeFormat == "12"){
                            $AMPM = " AM";
                            $x1 = $x;
                            if($x>12){ 
                                $AMPM = " PM";
                                $x1 = $x-12;
                            }
                        } else {
                            $AMPM = "";
                            $x1 = $x;
                        }
                        echo "<option value=".$x.":00 "; if($gridendtime == $x.":00") {echo " selected='selected' ";} echo "> ".$x1.":00".$AMPM." </option>";  
                    }
                }
                ?>
                </select> </td>
            </tr>                        
<?php } ?>
            <tr>
              <td colspan="2" align="center" width="<?php echo $gridwidth?>"><div id="table_here"></div></td>
            </tr>
            <tr>
              <td colspan="2">&nbsp;</td>
            </tr>
        </table>
        
        <input type="hidden" id="mode" name="mode" value="<?php echo $mode?>" />
        <input type="hidden" id="gridwidth" name="gridwidth" value="<?php echo $gridwidth?>" />
        <input type="hidden" id="grid_days" name="grid_days" value="<?php echo $griddays?>" />   
        <input type="hidden" id="namewidth" name="namewidth" value="<?php echo $namewidth?>" />        

        <input type="hidden" name="selected_resource_id" id="selected_resource_id" value="-1" />
        <input type="hidden" name="startdate" id="startdate" value="<?php echo $enddate ?>" />
        <input type="hidden" name="enddate" id="enddate" value="<?php echo $enddate ?>" />
        <input type="hidden" name="starttime" id="starttime" value="<?php echo $starttime ?>"/>
        <input type="hidden" name="endtime" id="endtime" value="<?php echo $endtime ?>"/>      
        <input type="hidden" name="sub_cat_count" id="sub_cat_count" value="<?php echo $sub_cat_count->count ?>"/>  
        </td>
        </tr>
    <!-- *********************  GAD *******************************-->
 <?php if($apptpro_config->enable_coupons == "Yes"){ ?>
     <tr>
        <td valign="top"><?php echo JText::_('RS1_INPUT_SCRN_COUPONS');?></td>
        <td colspan="2"><input name="coupon_code" type="text" id="coupon_code" value="" size="20" maxlength="80" 
              title="<?php echo JText::_('RS1_INPUT_SCRN_COUPON_TOOLTIP');?>" />
              <input type="button" class="button" value="<?php echo JText::_('RS1_INPUT_SCRN_COUPON_BUTTON');?>" onclick="getCoupon()" />
              <div id="coupon_info"></div>
              <input type="hidden" id="coupon_value" />
              <input type="hidden" id="coupon_units" />              
        </td>
    </tr>
 <?php } ?>
 <?php if($apptpro_config->enable_paypal != "No"){ ?>
    <tr>
      <td colspan="3" valign="top" align="left">
      <div id="calcResults" style="visibility:hidden; display:none">
        <table border="1" align="left" width="300" cellpadding="4" cellspacing="0" style="border-width:0px; border-style:hidden;">
          <tr align="center" >
            <td ><?php echo JText::_('RS1_INPUT_SCRN_RES_RATE');?></td>
            <td ><label id="res_hours_label"><?php echo JText::_('RS1_INPUT_SCRN_RES_RATE_UNITS');?></label></td>
            <td ><?php echo JText::_('RS1_INPUT_SCRN_RES_RATE_TOTAL');?></td>
          </tr>
          <tr align="right" >
            <td><?php echo JText::_('RS1_INPUT_SCRN_CURRENCY_SYMBOL');?>&nbsp;<label id="res_rate"></label></td>
            <td><label id="res_hours"></label>&nbsp;</td>
            <td><?php echo JText::_('RS1_INPUT_SCRN_CURRENCY_SYMBOL');?>&nbsp;<label id="res_total"></label></td>
          </tr>
      <?php if ($extras_row_count->count > 0 ){?>
          <tr align="right">
            <td style="border-bottom:hidden; border-bottom:0px; border-left:hidden; border-left-width:0px; border-right:hidden; border-right-width:0px;">&nbsp;            </td>
            <td style="border-bottom:hidden; border-bottom:0px; border-left:hidden; border-left-width:0px;"><?php echo JText::_('RS1_INPUT_SCRN_EXTRAS_FEE');?>:&nbsp;</td>
            <td>&nbsp;<label id="extras_fee"></label></td>
          </tr>
      <?php } ?>    
      <?php if ($apptpro_config->additional_fee != 0.00 ){?>
          <tr align="right">
            <td style="border-bottom:hidden; border-bottom:0px; border-left:hidden; border-left-width:0px; border-right:hidden; border-right-width:0px;">&nbsp;            </td>
            <td style="border-bottom:hidden; border-bottom:0px; border-left:hidden; border-left-width:0px;"><?php echo JText::_('RS1_INPUT_SCRN_RES_ADDITIONAL_FEE');?>:&nbsp;</td>
            <td>&nbsp;<label id="res_fee"></label></td>
          </tr>
      <?php } ?>    
      <?php if($apptpro_config->enable_coupons == "Yes"){ ?>
          <tr align="right">
            <td style="border-bottom:hidden; border-bottom:0px; border-left:hidden; border-left-width:0px; border-right:hidden; border-right-width:0px;">&nbsp;            </td>
            <td style="border-bottom:hidden; border-bottom:0px; border-left:hidden; border-left-width:0px;"><?php echo JText::_('RS1_INPUT_SCRN_DISCOUNT');?>:&nbsp;</td>
            <td>&nbsp;<label id="discount"></label></td>
          </tr>
	  <?php } ?>
          <tr align="right">
            <td style="border:hidden; border-width:0px; border-right-color:#FF0000">&nbsp;
                <input type="hidden" id="additionalfee" value="<?php echo $apptpro_config->additional_fee ?>" />
            	<input type="hidden" id="feerate" value="<?php echo $apptpro_config->fee_rate ?>" />
            	<input type="hidden" id="rateunit" value="<?php echo $apptpro_config->fee_rate ?>" />
                <input type="hidden" id="grand_total" name="grand_total" value="<?php echo $grand_total ?>" />			
             </td>
            <td style="border:hidden; border-width:0px; border-right-width:1px;"><?php echo JText::_('RS1_INPUT_SCRN_RES_RATE_TOTAL');?>:&nbsp;</td>
            <td style="border-top:double; border-bottom:double;"><?php echo JText::_('RS1_INPUT_SCRN_CURRENCY_SYMBOL');?>&nbsp;<label id="res_grand_total"></label></td>
          </tr>
        </table>
      </div>      
      </td>
    </tr>
<?php } ?>    
   <!--<tr>
      <td class="sv_apptpro_request_label" valign="top"><?php echo JText::_('RS1_INPUT_SCRN_COMMENT');?></td>
      <td colspan="3" valign="top"><textarea name="comment" class="sv_apptpro_request_text_mobile" cols="50" rows="2"
      title="<?php echo JText::_('RS1_INPUT_SCRN_COMMENT_TOOLTIP');?>" ><?php echo $comment ?></textarea>        </td>
    </tr>-->
    <tr>
      <td width="15%"></td>
      <td colspan="2"><div id="errors" class="sv_apptpro_errors"><?php echo $err ?></div></td>
	</tr>
    <tr>
      <td><input  name="cbCopyMe" type="hidden" value="yes"  /></td>
      <td colspan="2" valign="top">
<?php if($apptpro_config->enable_paypal == "No" || $apptpro_config->enable_paypal == "Opt"){  ?>
          <input type="submit" class="button_mobile"  name="submit" id="submit" onclick="return doSubmit(0);" 
            value="<?php echo JText::_('RS1_INPUT_SCRN_SUBMIT');?>" 
              <?php if($apptpro_config->requireLogin == "Yes" && $user->guest){ echo "disabled";} ?> /><br />&nbsp;<br /> 
<?php } ?>
<?php if($apptpro_config->enable_paypal == "Yes" || $apptpro_config->enable_paypal == "Opt"){ 
	  	if($apptpro_config->paypal_button_url != ""){ 
        	$lang =& JFactory::getLanguage();
			$paypal_button_url = str_replace("en_US", str_replace("-", "_", $lang->getTag()), $apptpro_config->paypal_button_url);?>
	      		<input type="image"  align="top" src="<?php echo $paypal_button_url ?>" border="0" name="submit" alt="submit this form" onclick="return doSubmit(1);">
      	<?php } else { ?>
			    <input type="submit" class="button_mobile" onclick="return doSubmit(1);" name="submit" id="submit" value="<?php echo JText::_('RS1_INPUT_SCRN_SUBMIT_PAYPAL');?>"
                <?php if($apptpro_config->requireLogin == "Yes" && $user->guest){ echo "disabled";} ?> />      
		<?php } ?>

<?php } ?>
    </td>
    </tr>
  <?php if($apptpro_config->allow_cancellation == 'Yes'){ ?>
	<tr><td colspan="3">
		<table border="0" class="sv_apptpro_request_cancel_row">
        <tr >
          <td colspan="2"><?php echo JText::_('RS1_INPUT_SCRN_CANCEL_TEXT');?></td>
        </tr>  
          <td colspan="2" valign="top"> 
          <input name="cancellation_id" type="text" id="cancellation_id" value="" size="40" maxlength="80" 
          title="<?php echo JText::_('RS1_INPUT_SCRN_CANCEL_TOOLTIP');?>" style="font-size:10px" />
          </td>
        </tr>
        <tr>
          <td colspan="2" valign="top"> 
          <input type="button" class="button"  name="btnCancel" onclick="doCancel();" 
          value="<?php echo JText::_('RS1_INPUT_SCRN_CANCEL_BUTTON');?>"
          <?php if($apptpro_config->requireLogin == "Yes" && $user->guest){ echo "disabled";} ?>></td>
        </tr>
        <tr>
          <td >&nbsp;</td>
          <td colspan="2" valign="top"><div id="cancel_results">      </div></td>
        </tr>
        </table>
	</td></tr>
  <?php } ?>  
    <tr>
      <td colspan="3" valign="top"><?php echo JText::_($footerText) ?> </td>
    </tr>
  </table>
  </div>
  <?php if($apptpro_config->hide_logo == 'No'){ ?>
	  <span style="font-size:9px; color:#999999">powered by <a href="http://www.AppointmentBookingPro.com" target="_blank">AppointmentBookingPro.com</a> v1.4.6</span>
  <?php } ?>
  <input type="hidden" id="wait_text" value="<?php echo JText::_('RS1_INPUT_SCRN_PLEASE_WAIT');?>" />
  <input type="hidden" id="select_date_text" value="<?php echo JText::_('RS1_INPUT_SCRN_DATE_PROMPT');?>" />
  <input type="hidden" id="beyond_end_of_day" value="<?php echo JText::_('RS1_INPUT_SCRN_BEYOND_EOD');?>" />
  <input type="hidden" id="udf_count" name="udf_count" value="<?php echo count($udf_rows);?>" />
  <input type="hidden" id="enable_paypal" value="<?php echo $apptpro_config->enable_paypal ?>" />
  <input type="hidden" id="flat_rate_text" name="flat_rate_text" value="<?php echo JText::_('RS1_INPUT_SCRN_RES_FLAT_RATE'); ?>" />			             
  <input type="hidden" id="non_flat_rate_text" name="non_flat_rate_text" value="<?php echo JText::_('RS1_INPUT_SCRN_RES_RATE_UNITS'); ?>" />			             
  <input type="hidden" id="ppsubmit" name="ppsubmit" value="" />			             
  <input type="hidden" id="screen_type" name="screen_type" value="gad" />			             
  <input type="hidden" id="reg" name="reg" value="<?php echo ($user->guest?'No':'Yes')?>" />	
  <input type="hidden" id="adjusted_starttime" name="adjusted_starttime" value="" />			             
  <input type="hidden" id="timeFormat" value="<?php echo $apptpro_config->timeFormat ?>" />
  <input type="hidden" id="end_of_day" value="<?php echo $apptpro_config->def_gad_grid_end ?>" />
  <input type="hidden" id="mobile" value="Yes" />
  		             
</form>
<?php } ?>
